org.eclipse.oomph.base.util

## Class BaseValidator

- java.lang.Object
- - org.eclipse.emf.ecore.util.EObjectValidator
  - - org.eclipse.oomph.base.util.BaseValidator

- All Implemented Interfaces:
    EValidator

      public class BaseValidator
      extends EObjectValidator

  The Validator for the model.
  See Also:
    `BasePackage`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator

      `EObjectValidator.DynamicEClassValidator, EObjectValidator.DynamicEDataTypeValidator`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

      `EValidator.Descriptor, EValidator.PatternMatcher, EValidator.Registry, EValidator.SubstitutionLabelProvider, EValidator.ValidationDelegate`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `DIAGNOSTIC_CODE_COUNT` A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.
    `static String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
    `static BaseValidator` | `INSTANCE` The cached model package
    `static int` | `WELL_FORMED_SOURCE_URI`

    - ### Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

      `DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_BIDIRECTIONAL_REFERENCE_IS_PAIRED, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EValidator

      `MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseValidator()` Creates an instance of the switch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPackage` | `getEPackage()` Returns the package of this validator switch.
    `ResourceLocator` | `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics.
    `protected static boolean` | `isWellFormedURI(String uri)` A well formed URI string must have a non-zero length, and must encode any special characters such as the space character.
    `protected boolean` | `validate(int classifierID, Object value, DiagnosticChain diagnostics, Map<Object,Object> context)` Calls `validateXXX` for the corresponding classifier of the model.
    `boolean` | `validateAnnotation_WellFormedSourceURI(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the WellFormedSourceURI constraint of 'Annotation'.
    `boolean` | `validateAnnotation(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)`
    `boolean` | `validateException(Exception exception, DiagnosticChain diagnostics, Map<Object,Object> context)`
    `boolean` | `validateModelElement(ModelElement modelElement, DiagnosticChain diagnostics, Map<Object,Object> context)`
    `boolean` | `validateStringToStringMapEntry(Map.Entry<?,?> stringToStringMapEntry, DiagnosticChain diagnostics, Map<Object,Object> context)`
    `boolean` | `validateText(String text, DiagnosticChain diagnostics, Map<Object,Object> context)`
    `boolean` | `validateURI(URI uri, DiagnosticChain diagnostics, Map<Object,Object> context)`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator

      `createBadDataValueDiagnostic, createDiagnostic, getEcoreResourceLocator, getEcoreString, getFeatureLabel, getObjectLabel, getRootEValidator, getString, getValidationDelegateRegistry, getValueLabel, isEcoreString, reportConstraintDelegateException, reportConstraintDelegateException, reportConstraintDelegateNotFound, reportConstraintDelegateNotFound, reportConstraintDelegateViolation, reportConstraintDelegateViolation, reportDataValuePatternViolation, reportDataValueTypeViolation, reportEnumerationViolation, reportFractionDigitsViolation, reportInvariantDelegateException, reportInvariantDelegateNotFound, reportInvariantDelegateViolation, reportMaxLengthViolation, reportMaxViolation, reportMinLengthViolation, reportMinViolation, reportTotalDigitsViolation, validate_BidirectionalReferenceIsPaired, validate_DataValueConforms, validate_EveryBidirectionalReferenceIsPaired, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_KeyUnique, validate_MapEntryUnique, validate_MultiplicityConforms, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validate, validate, validate, validatePattern, wrapEnumerationValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BaseValidator INSTANCE

      The cached model package
      Generated

    - #### DIAGNOSTIC_SOURCE

          public static final String DIAGNOSTIC_SOURCE

      A constant for the `source` of diagnostic `codes` from this package.
      See Also:
        `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values
      Generated

    - #### WELL_FORMED_SOURCE_URI

          public static final int WELL_FORMED_SOURCE_URI

      See Also:
        `validateAnnotation_WellFormedSourceURI(Annotation, DiagnosticChain, Map)`, Constant Field Values

    - #### DIAGNOSTIC_CODE_COUNT

          protected static final int DIAGNOSTIC_CODE_COUNT

      A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.
      See Also:
        Constant Field Values
      Generated
        NOT

  - ### Constructor Detail

    - #### BaseValidator

          public BaseValidator()

      Creates an instance of the switch.
      Generated

  - ### Method Detail

    - #### getEPackage

          protected EPackage getEPackage()

      Returns the package of this validator switch.
      Overrides:
        `getEPackage` in class `EObjectValidator`
      Generated

    - #### validate

          protected boolean validate(int classifierID,
                         Object value,
                         DiagnosticChain diagnostics,
                         Map<Object,Object> context)

      Calls `validateXXX` for the corresponding classifier of the model.
      Overrides:
        `validate` in class `EObjectValidator`
      Generated

    - #### validateModelElement

          public boolean validateModelElement(ModelElement modelElement,
                                     DiagnosticChain diagnostics,
                                     Map<Object,Object> context)

      Generated

    - #### validateAnnotation

          public boolean validateAnnotation(Annotation annotation,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

      Generated

    - #### validateAnnotation_WellFormedSourceURI

          public boolean validateAnnotation_WellFormedSourceURI(Annotation annotation,
                                                       DiagnosticChain diagnostics,
                                                       Map<Object,Object> context)

      Validates the WellFormedSourceURI constraint of 'Annotation'.
      Generated
        NOT

    - #### isWellFormedURI

          protected static boolean isWellFormedURI(String uri)

      A well formed URI string must have a non-zero length, and must encode any special characters such as the space character. As such, creating a `URI`, ignoring the properly encoded characters, and converting that to a `string`, must yield this URI string itself.
      Parameters:
        `uri` - the URI string in question.
      Returns:
        whether the URI is well formed.

    - #### validateStringToStringMapEntry

          public boolean validateStringToStringMapEntry(Map.Entry<?,?> stringToStringMapEntry,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

      Generated

    - #### validateURI

          public boolean validateURI(URI uri,
                            DiagnosticChain diagnostics,
                            Map<Object,Object> context)

      Generated

    - #### validateException

          public boolean validateException(Exception exception,
                                  DiagnosticChain diagnostics,
                                  Map<Object,Object> context)

      Generated

    - #### validateText

          public boolean validateText(String text,
                             DiagnosticChain diagnostics,
                             Map<Object,Object> context)

      Generated

    - #### getResourceLocator

          public ResourceLocator getResourceLocator()

      Returns the resource locator that will be used to fetch messages for this validator's diagnostics.
      Overrides:
        `getResourceLocator` in class `EObjectValidator`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html